import type { APIGatewayProxyEventV2, APIGatewayProxyStructuredResultV2, Context } from 'aws-lambda';
import type { MiddlewareObj } from '@middy/core';
import type { Static, TSchema } from '@sinclair/typebox';
export declare const validateInput: <Schema extends TSchema>(schema: Schema, mapInput?: (e: APIGatewayProxyEventV2) => unknown) => MiddlewareObj<APIGatewayProxyEventV2, APIGatewayProxyStructuredResultV2, Error, Context & ValidInput<Schema>>;
export type ValidInput<Schema extends TSchema> = {
    validInput: Static<Schema>;
};
